#!/usr/bin/php
<?php
chdir(__DIR__);
require_once './common.php';

if (count($_SERVER['argv']) < 2) die('Not enough arguments (usage: [server] [messageid])');
$messageid = $_SERVER['argv'][2];
$db->update('DELETE FROM `messages` WHERE `messageid` = ?', $messageid);
$socket = stream_socket_client($_SERVER['argv'][1]);
if ($socket === FALSE) die("Could not connect to peer\n");
$line = nntp_readline($socket);
$code = strtok($line, " \t");
if ($code == 200) {
} else if ($code == 201) {
} else die("Error code $code\n");
nntp_writeline($socket, 'ARTICLE <'.$messageid.'>');
$line = nntp_readline($socket);
$code = strtok($line, " \t");
if ($code != 220) die("Error code $code\n");
strtok(" \t"); //article number
$lines = nntp_readlines($socket);
nntp_article_store($lines);

function writelog($line) {
	print($line."\n");
}
